Page MenuHomePhabricator

Deprecating <mapframe> width other than 100%
Closed, ResolvedPublic

Description

I spoke to Ed, and we decided that there is not necessarily a compelling reason to support width set in percentages other than 100%. We need to think it over. One way to do this is to lake width accept only pixels, and add a new attribute, for example "fullwidth".

New behavior

  • Allows only width="[0-9]+" and width="100%"
  • Non matching patterns become width="300"

Event Timeline

MaxSem created this task.Aug 4 2016, 6:14 PM
Restricted Application added a project: Discovery. · View Herald TranscriptAug 4 2016, 6:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I am in favor of this.

I think relative widths is an overhead because it is another presentation option to support, times the number of other presentation options we want to support: for instance, frame vs frameless. And the actual result is hard to predict, as it depends on the viewport size, which can be anything from a mobile to a very large monitor. We already have to enforce a min-width of 200px over the defined relative width to make sure the map remains readable on small screens (mobile).

In my humble opinion, I would go even further and define high level classes that people can select, and remove the ability to define the map size at the pixel level.
In practice, it would result in 4 size options: small, medium, large, fullscreen. This would bring more layout consistency within and between articles.

In my humble opinion, I would go even further and define high level classes that people can select, and remove the ability to define the map size at the pixel level.
In practice, it would result in 4 size options: small, medium, large, fullscreen. This would bring more layout consistency within and between articles.

Although we should split that off as another task.

and add a new attribute, for example "fullwidth".

Or just width="full"

Change 303910 had a related patch set uploaded (by MaxSem):
Deprecate width specified as percentage, other than 100%

https://gerrit.wikimedia.org/r/303910

Change 303910 merged by jenkins-bot:
Deprecate width specified as percentage, other than 100%

https://gerrit.wikimedia.org/r/303910

Yurik renamed this task from Consider deprecating width other than 100% to Deprecating <mapframe> width other than 100%.Aug 9 2016, 8:48 PM
Yurik updated the task description. (Show Details)
MaxSem closed this task as Resolved.Aug 9 2016, 8:48 PM
MaxSem claimed this task.
Esanders reopened this task as Open.Aug 9 2016, 10:28 PM

You should implement a special word value for full width before considering this task resolved. Preferably in the same release as the above patch.

Team, please state your opinions what's better:

  • 100%
  • width=full
  • fullwidth

Team, please state your opinions what's better:

  • 100%
  • width=full
  • fullwidth

^ width=full

width=full, that way you avoid the ambiguous case of "width=30px fullwidth=true"

Change 304151 had a related patch set uploaded (by MaxSem):
Introduce width=full

https://gerrit.wikimedia.org/r/304151

Change 304151 merged by jenkins-bot:
Introduce width=full

https://gerrit.wikimedia.org/r/304151

MaxSem closed this task as Resolved.Aug 11 2016, 12:43 AM